/*
 * Copyright © 2021-2023 Fachhochschule für die Wirtschaft (FHDW) Hannover
 *
 * This file is part of ipspiel24-VierConnects-core.
 *
 * ipspiel24-VierConnects-core is free software: you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation, either version 3 of the License, or (at your option) any later
 * version.
 *
 * ipspiel24-VierConnects-core is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 *
 * You should have received a copy of the GNU General Public License along with
 * ipspiel24-VierConnects-core. If not, see <http://www.gnu.org/licenses/>.
 */
module de.fhdw.gaming.ipspiel24.VierConnects.core {
    exports de.fhdw.gaming.ipspiel24.VierConnects.core.domain;
    exports de.fhdw.gaming.ipspiel24.VierConnects.core.domain.factory;
    exports de.fhdw.gaming.ipspiel24.VierConnects.core.moves;
    exports de.fhdw.gaming.ipspiel24.VierConnects.core.moves.factory;
    exports de.fhdw.gaming.ipspiel24.VierConnects.core.domain.impl;

    requires transitive de.fhdw.gaming.core;

    uses de.fhdw.gaming.ipspiel24.VierConnects.core.domain.factory.VierConnectsStrategyFactory;
    uses de.fhdw.gaming.ipspiel24.VierConnects.core.domain.VierConnectsGameBuilderFactory;

    provides de.fhdw.gaming.core.domain.GameBuilderFactory
            with de.fhdw.gaming.ipspiel24.VierConnects.core.domain.impl.VierConnectsGameBuilderFactoryImpl;
    provides de.fhdw.gaming.ipspiel24.VierConnects.core.domain.VierConnectsGameBuilderFactory
            with de.fhdw.gaming.ipspiel24.VierConnects.core.domain.impl.VierConnectsGameBuilderFactoryImpl;

    opens de.fhdw.gaming.ipspiel24.VierConnects.core.domain;
    opens de.fhdw.gaming.ipspiel24.VierConnects.core.domain.impl;
    opens de.fhdw.gaming.ipspiel24.VierConnects.core.moves.impl;
}
